org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmNavigationPropertyImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl
    - - org.apache.olingo.odata2.client.core.edm.Impl.EdmNavigationPropertyImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmMappable, EdmNamed, EdmNavigationProperty, EdmTyped

      public class EdmNavigationPropertyImpl
      extends EdmTypedImpl
      implements EdmNavigationProperty, EdmAnnotatable

  Objects of this class represent EdmNavigationProperty

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl

      `edmType, multiplicity, typeName`

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmNavigationPropertyImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmDocumentation` | `getDocumentation()`
    `String` | `getFromRole()` Get the from role of the navigation property
    `EdmMapping` | `getMapping()` Get mapping information applied to an EDM element
    `EdmMultiplicity` | `getMultiplicity()` See `EdmMultiplicity` for more information about possible multiplicities.
    `EdmAssociation` | `getRelationship()` Get the relationship of the navigation property
    `FullQualifiedName` | `getRelationshipName()`
    `String` | `getToRole()` Get the to role of the navigation property
    `EdmType` | `getType()` See `EdmType` for more information about possible types.
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setDocumentation(EdmDocumentation documentation)`
    `void` | `setFromRole(String fromRole)`
    `void` | `setMapping(Mapping mapping)`
    `void` | `setRelationshipName(FullQualifiedName relationship)`
    `void` | `setToRole(String toRole)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl

      `setEdmType, setMultiplicity, setTypeName`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Constructor Detail

    - #### EdmNavigationPropertyImpl

          public EdmNavigationPropertyImpl()

  - ### Method Detail

    - #### getDocumentation

          public EdmDocumentation getDocumentation()

    - #### setDocumentation

          public void setDocumentation(EdmDocumentation documentation)

    - #### setMapping

          public void setMapping(Mapping mapping)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### setFromRole

          public void setFromRole(String fromRole)

    - #### setToRole

          public void setToRole(String toRole)

    - #### getType

          public EdmType getType()
                          throws EdmException

      Description copied from interface: `EdmTyped`
      See `EdmType` for more information about possible types.
      Specified by:
        `getType` in interface `EdmTyped`
      Overrides:
        `getType` in class `EdmTypedImpl`
      Returns:
        `EdmType`
      Throws:
        `EdmException`

    - #### getMultiplicity

          public EdmMultiplicity getMultiplicity()
                                          throws EdmException

      Description copied from interface: `EdmTyped`
      See `EdmMultiplicity` for more information about possible multiplicities.
      Specified by:
        `getMultiplicity` in interface `EdmTyped`
      Overrides:
        `getMultiplicity` in class `EdmTypedImpl`
      Returns:
        `EdmMultiplicity`
      Throws:
        `EdmException`

    - #### getRelationship

          public EdmAssociation getRelationship()
                                         throws EdmException

      Description copied from interface: `EdmNavigationProperty`
      Get the relationship of the navigation property
      Specified by:
        `getRelationship` in interface `EdmNavigationProperty`
      Returns:
        `EdmAssociation`
      Throws:
        `EdmException`

    - #### getRelationshipName

          public FullQualifiedName getRelationshipName()
                                                throws EdmException

      Throws:
        `EdmException`

    - #### setRelationshipName

          public void setRelationshipName(FullQualifiedName relationship)

    - #### getFromRole

          public String getFromRole()
                             throws EdmException

      Description copied from interface: `EdmNavigationProperty`
      Get the from role of the navigation property
      Specified by:
        `getFromRole` in interface `EdmNavigationProperty`
      Returns:
        from role as String
      Throws:
        `EdmException`

    - #### getToRole

          public String getToRole()
                           throws EdmException

      Description copied from interface: `EdmNavigationProperty`
      Get the to role of the navigation property
      Specified by:
        `getToRole` in interface `EdmNavigationProperty`
      Returns:
        to role as String
      Throws:
        `EdmException`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### getMapping

          public EdmMapping getMapping()
                                throws EdmException

      Description copied from interface: `EdmMappable`
      Get mapping information applied to an EDM element
      Specified by:
        `getMapping` in interface `EdmMappable`
      Returns:
        `EdmMapping`
      Throws:
        `EdmException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmTypedImpl`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.